This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1000742 - Segmentation fault after start
Segmentation fault after start
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openttd (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Felix Kaechele
Fedora Extras Quality Assurance
:
: 1000741 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-24 16:49 EDT by Wietse Muizelaar
Modified: 2014-02-05 18:13 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 989786
Environment:
Last Closed: 2014-02-05 18:13:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wietse Muizelaar 2013-08-24 16:49:00 EDT
+++ This bug was initially created as a clone of Bug #989786 +++

Description of problem:
  openttd segfaults at startup.

$ rpm -q openttd
openttd-1.3.2-1.fc18.x86_64

How reproducible:
  always

--- Additional comment from Branislav Blaškovič on 2013-07-29 19:29:36 EDT ---

Version openttd-1.3.0-1.fc18.x86_64 is working great.

--- Additional comment from Fedora Update System on 2013-08-04 08:51:42 EDT ---

openttd-1.3.2-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/openttd-1.3.2-2.fc19

--- Additional comment from Fedora Update System on 2013-08-04 08:51:51 EDT ---

openttd-1.3.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/openttd-1.3.2-2.fc18

--- Additional comment from Fedora Update System on 2013-08-04 19:04:06 EDT ---

Package openttd-1.3.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openttd-1.3.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-14224/openttd-1.3.2-2.fc18
then log in and leave karma (feedback).

--- Additional comment from Branislav Blaškovič on 2013-08-05 02:50:25 EDT ---

No more crashes. Thank you.

--- Additional comment from Fedora Update System on 2013-08-12 13:59:51 EDT ---

openttd-1.3.2-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Fedora Update System on 2013-08-12 14:02:32 EDT ---

openttd-1.3.2-2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

--- Additional comment from Wietse Muizelaar on 2013-08-24 16:45:13 EDT ---

This version still crashes. Crash.log attached

$ rpm -q openttd
openttd-1.3.2-2.fc18.x86_64

$ openttd 
Crash encountered, generating crash log...
*** OpenTTD Crash Report ***

Crash at: Sat Aug 24 20:44:41 2013
In game date: 0-01-01 (0)

Crash reason:
 Signal:  Segmentation fault (11)
 Message: <none>

OpenTTD version:
 Version:    1.3.2 (0)
 NewGRF ver: 13286420
 Bits:       64
 Endian:     little
 Dedicated:  no
 Build date: Aug  2 2013 21:21:35

Stacktrace:
 [00] openttd() [0x4826c7]
 [01] openttd() [0x73029d]
 [02] openttd() [0x730b43]
 [03] /lib64/libc.so.6() [0x3e1b635cd0]
 [04] /lib64/libicule.so.49(_ZNK6icu_4922GlyphLookupTableHeader12coversScriptERKNS_16LETableReferenceEjR11LEErrorCode+0xa) [0x35f84263ba]
 [05] /lib64/libicule.so.49(_ZN6icu_4912LayoutEngine19layoutEngineFactoryEPKNS_14LEFontInstanceEiiiR11LEErrorCode+0xf3) [0x35f841ca33]
 [06] /lib64/libiculx.so.49(_ZN6icu_4915ParagraphLayoutC2EPKtiPKNS_8FontRunsEPKNS_9ValueRunsES8_PKNS_10LocaleRunsEhaR11LEErrorCode+0x570) [0x3530e061f0]
 [07] openttd() [0x5eb3c7]
 [08] openttd() [0x5eb52b]
 [09] openttd() [0x5eb5c3]
 [10] openttd() [0x62099a]
 [11] openttd() [0x495a20]
 [12] openttd() [0x49138e]
 [13] openttd() [0x635e1f]
 [14] openttd() [0x706e9a]
 [15] openttd() [0x708d02]
 [16] /lib64/libc.so.6(__libc_start_main+0xf5) [0x3e1b621a05]
 [17] openttd() [0x468b85]

Operating system:
 Name:     Linux
 Release:  3.10.9-100.fc18.x86_64
 Version:  #1 SMP Wed Aug 21 18:25:04 UTC 2013
 Machine:  x86_64
 Compiler: GCC 4.7.2 "4.7.2 20121109 (Red Hat 4.7.2-8)"

Configuration:
 Blitter:      8bpp-optimized
 Graphics set: OpenGFX (998)
 Language:     //usr/share/openttd/lang/english_US.lng
 Music driver: libtimidity
 Music set:    OpenMSX (96)
 Network:      no
 Sound driver: sdl
 Sound set:    OpenSFX (87)
 Video driver: sdl

AI Configuration (local: 255):

Libraries:
 FontConfig: 2.10.2
 FreeType:   2.4.10
 ICU:        49.1.1
 LZMA:       5.1.2alpha
 LZO:        2.06
 PNG:        1.5.13
 SDL:        1.2.15
 Zlib:       1.2.7

---- gamelog start ----
Tick 0: new game started
     Revision text changed to 1.3.2, savegame version 180, not modified, _openttd_newgrf_version = 0x13286420
     New game mode: 0 landscape: 0
---- gamelog end ----

*** End of OpenTTD Crash Report ***

Crash log generated.

Writing crash log to disk...
Crash log written to /home/wietse/.openttd/crash.log. Please add this file to any bug reports.

Writing crash savegame...
Crash savegame written to /home/wietse/.openttd/crash.sav. Please add this file and the last (auto)save to any bug reports.

Writing crash screenshot...
Crash screenshot written to /home/wietse/.openttd/crash.png. Please add this file to any bug reports.

Aborted

--- Additional comment from Wietse Muizelaar on 2013-08-24 16:45:59 EDT ---
Comment 1 Wietse Muizelaar 2013-08-24 16:52:06 EDT
*** Bug 1000741 has been marked as a duplicate of this bug. ***
Comment 2 Felix Kaechele 2013-09-01 17:10:34 EDT
Can you please make sure that your installation is in sync with the upstream packages?

I could reproduce this problem when using the Fedora LiveCD without updating. After updating everything works fine.

Use yum distro-sync to check this.
Comment 3 Wietse Muizelaar 2013-09-02 14:54:33 EDT
I ran yum-distrosync; the only package that was 'fixed' there was grub-efi.

Afterwards, I retested openttd, but it still crashed.

Then I tried to uninstall and reinstall the openttd package, but still no luck there :(

Is there any more information I can provide to help?
Comment 4 Adam Williamson 2013-09-11 05:41:53 EDT
I'm seeing this too, with F18. Wanted to play a bit of openttd to pass the time on vacation, and boom :( My system isn't entirely 100% up to date as I don't want to waste the limited transfer space I have, but it was up to date as of Aug 26th when I left, and has libicu-49.1.1-10.fc18.x86_64 .
Comment 5 Fedora End Of Life 2013-12-21 10:36:20 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Adam Williamson 2013-12-21 14:51:50 EST
seems OK on Rawhide for me, I'm not running F18 anywhere ATM.
Comment 7 Fedora End Of Life 2014-02-05 18:13:48 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.